Php version 7.1

Tagged: 

This topic contains 3 replies, has 2 voices, and was last updated by  Sebastian 2 months ago.

Author Posts

shamrockoz

Please could you make Microthemer compatible with v 7.1

I am on SiteGround and their plugin requests that I move to 7.1 – but that Microthemer would have issues …

microthemer/includes/scssphp/scssphp-july-2018/src/SourceMap/Base64VLQEncoder.php

179 | ERROR | Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0


Sebastian

Hey,

Apparently that warning is a false positive, but I’ve nonetheless been in correspondence with the author of the SCSSPHP library that generates the warning. He has released an update which I’ve just included in version 5.2.5.5 of Microthemer. You should be able to update via your dashboard soon.

Thanks,
Sebastian


shamrockoz

Sebastian,

As usual – thank you for your reply …

I will raise another topic now in another thread as this may interest other people.


Sebastian

You’re welcome!

You must login or register to reply to this topic.